package com.trs.ggzyexchange.service.impl;

import com.trs.ggzyexchange.entity.ZrzyBgBidwinNotice;
import com.trs.ggzyexchange.mapper.ZrzyBgBidwinNoticeMapper;
import com.trs.ggzyexchange.service.ZrzyBgBidwinNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Service
public class ZrzyBgBidwinNoticeServiceImpl extends ServiceImpl<ZrzyBgBidwinNoticeMapper, ZrzyBgBidwinNotice> implements ZrzyBgBidwinNoticeService {


    @Autowired
    private ZrzyBgBidwinNoticeMapper zrzyBgBidwinNoticeMapper;

    @Override
    public int countNoticeByRegionCode(String regionCode) {
        return zrzyBgBidwinNoticeMapper.countNoticeByRegionCode(regionCode);
    }

    @Override
    public int countNoticeByRegionCodeAndTime(String region_code, Long resultStartTime, Long resultEndTime) {
        return zrzyBgBidwinNoticeMapper.countNoticeByRegionCodeAndTime(region_code,resultStartTime,resultEndTime);
    }

    @Override
    public ZrzyBgBidwinNotice getSumMoneyByRegionCode(String regionCode) {
        return zrzyBgBidwinNoticeMapper.getSumMoneyByRegionCode(regionCode);
    }

    @Override
    public ZrzyBgBidwinNotice getSumMoneyByRegionCode2(String regionCode, String yearStart, String yearEnd) {
        return zrzyBgBidwinNoticeMapper.getSumMoneyByRegionCode2(regionCode,yearStart,yearEnd);
    }

    @Override
    public ZrzyBgBidwinNotice getSumMoney() {
        return zrzyBgBidwinNoticeMapper.getSumMoney();
    }
}
